Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.util.zip
Class CheckedOutputStream

    java.lang.Object
      |
      +--java.io.OutputStream
            |
            +--java.io.FilterOutputStream
                  |
                  +--java.util.zip.CheckedOutputStream

public class CheckedOutputStream
extends FilterOutputStream

An output stream that also maintains a checksum of the data being written. The checksum can then be used to verify the integrity of the output data.

See Also:
  `Checksum`

Fields inherited from class java.io.FilterOutputStream
`out`

Constructor Summary
`CheckedOutputStream(OutputStream out, Checksum cksum)` Creates an output stream with the specified Checksum.

Method Summary
`Checksum` | `getChecksum()` Returns the Checksum for this output stream.
`void` | `write(byte[] b, int off, int len)` Writes an array of bytes.
`void` | `write(int b)` Writes a byte.

Methods inherited from class java.io.FilterOutputStream
`close, flush, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CheckedOutputStream

    public CheckedOutputStream(OutputStream out,
                               Checksum cksum)

  Creates an output stream with the specified Checksum.
  Parameters:
    `out` - the output stream
    `cksum` - the checksum

Method Detail

### write

    public void write(int b)
               throws IOException

  Writes a byte. Will block until the byte is actually written.
  Overrides:
    `write` in class `FilterOutputStream`
  Parameters:
    `b` - the byte to be written
  Throws:
    `IOException` - if an I/O error has occurred

### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws IOException

  Writes an array of bytes. Will block until the bytes are actually written.
  Overrides:
    `write` in class `FilterOutputStream`
  Parameters:
    `b` - the data to be written
    `off` - the start offset of the data
    `len` - the number of bytes to be written
  Throws:
    `IOException` - if an I/O error has occurred

### getChecksum

    public Checksum getChecksum()

  Returns the Checksum for this output stream.
  Returns:
    the Checksum

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.